Skip to content

getPricingRules

READ

Get pricing rules.

POST /api/v1/sales/getPricingRules
curl -X POST '<your-host>/api/v1/sales/getPricingRules' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "active": true,
      "amount": 0,
      "amountType": "Percentage",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customerIds": [
        "string"
      ],
      "customerTypeIds": [
        "string"
      ],
      "id": "string",
      "itemIds": [
        "string"
      ],
      "itemPostingGroupId": "string",
      "maxQuantity": 0,
      "minQuantity": 0,
      "name": "string",
      "priority": 0,
      "ruleType": "Discount",
      "updatedAt": "string",
      "updatedBy": "string",
      "validFrom": "string",
      "validTo": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": "string"
        }
      }
    }
  }
}